<?php
if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest')
{
	$vidlock_wp_path = explode('wp-content', dirname(__FILE__));
	require($vidlock_wp_path[0] . '/wp-load.php');
	$name = trim($_POST['name']) ? trim($_POST['name']) : 'by_cpengage';
	$email = trim($_POST['email']);
	$campaign_id = intval($_POST['campaign_id']);
	$pop_locker_id = intval($_POST['pop_locker_id']);
	$arc_id = intval($_POST['arc_id']);
	if ($arc_id == 0)
	{
		echo json_encode(array('error' => 'No autoresponder campaign is selected for this pop!'));
	}
	else
	{
		$arc_query = $wpdb->get_results("
			SELECT
				*
			FROM
				{$wpdb->prefix}VidLocker_ar_campaign
			WHERE arc_id IN ($arc_id)
		");
		if (count($arc_query) == 0)
		{
			echo json_encode(array('error' => 'The selected autoresponder campaign of this pop is not exist!'));
		}
		else
		{
			$arc = $arc_query[0];
			$do_conversion_track = false;
			if ($arc->arc_autoresponder == 'getresponse')
			{
				require_once 'autoresponders/jsonRPCClient.php';
				$api_key = get_option('vidlock_getresponse_api_key');
				$api_url = get_option('vidlock_getresponse_api_url');
				$client = new jsonRPCClient($api_url);
				try
				{
					$result_contact = $client->add_contact(
						$api_key,
						array(
							'campaign'  => $arc->arc_list_id,
							'name' => $name,
				    		'email'     => $email
						)
					);
					if ($result_contact['error']['message'] != "")
					{
						echo json_encode(array('error' => $result_contact['error']['message']));
					}
					else
					{
						$do_conversion_track = true;
						echo json_encode(array('success' => 1));
					}
				}
				catch (Exception $e)
				{
				    echo json_encode(array('error' => 'There was an error in the autoresponder software API!'));
				}
			}
			if ($arc->arc_autoresponder == 'aweber')
			{
				include(plugin_dir_path( __FILE__ ) . 'autoresponders/aweber_api/aweber_api.php');
				$consumerKey    = 'AkO9dDiEIPBYpktMXJ1GIvg2';
				$consumerSecret = 'sNfnuLXV9d76oRpj3w8FOqqgreSPAm08pOnkO6Bm';
				$aweber = new AWeberAPI($consumerKey, $consumerSecret);
				try
				{
					$account = $aweber->getAccount(get_option('vidlock_aweber_access_token'), get_option('vidlock_aweber_access_token_secret'));
					$account_id = $account->id;
					$list_id = $arc->arc_list_id;
					$listURL = "/accounts/{$account_id}/lists/{$list_id}";
					$list=$account->loadFromUrl($listURL);
					$params = array(
						'email' => $email,
						'name' => $name
					);
					$subscribers = $list->subscribers;
					$new_subscriber = $subscribers->create($params);
					$do_conversion_track = true;
					echo json_encode(array('success' => 1));
				}
				catch (Exception $e)
				{
					echo json_encode(array('error' => 'There was an error in the autoresponder software API!'));
				}
			}
			if ($arc->arc_autoresponder == 'mailchimp')
			{
				require_once 'autoresponders/miniMCAPI.class.php';
				$apikey = get_option('vidlock_mailchimp_key');
				$api = new MCAPI($apikey);
				$retval = $api->lists();
				$listid = $arc->arc_list_id;
				$merge_vars = array('FNAME' => $name, 'LNAME' => $lname);
				$api->listSubscribe($listid, $email, $merge_vars, 'HTML', false);
				echo json_encode(array('success' => 1));
			}
			if ($do_conversion_track)
			{
				if ($campaign_id > 0)
				{
					$wpdb->query("UPDATE {$wpdb->prefix}cpengage_campaign SET conversions = conversions + 1, clicks = clicks + 1 WHERE campaign_id IN ($campaign_id) ");
				}
			}
		}
	}
}
else
{
	echo json_encode(
		array(
			'error' => 'You called this file from no AJAX request!'
		)
	);
}
?>